org.apache.solr.common.cloud

## Class SaslZkACLProvider

- java.lang.Object
- - org.apache.solr.common.cloud.DefaultZkACLProvider
  - - org.apache.solr.common.cloud.SaslZkACLProvider

All Implemented Interfaces:
  ZkACLProvider

    public class SaslZkACLProvider
    extends DefaultZkACLProvider

ZkACLProvider that gives all permissions for the user specified in System property "solr.authorization.superuser" (default: "solr") when using sasl, and gives read permissions for anyone else. Designed for a setup where configurations have already been set up and will not be modified, or where configuration changes are controlled via Solr APIs.

### Constructor Summary

Constructors
Constructor and Description
`SaslZkACLProvider()`

### Method Summary

Methods
`protected List<org.apache.zookeeper.data.ACL>` `createGlobalACLsToAdd()`

### Methods inherited from class org.apache.solr.common.cloud.DefaultZkACLProvider

`getACLsToAdd`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SaslZkACLProvider

    public SaslZkACLProvider()

### Method Detail

#### createGlobalACLsToAdd

    protected List<org.apache.zookeeper.data.ACL> createGlobalACLsToAdd()

Overrides:
  `createGlobalACLsToAdd` in class `DefaultZkACLProvider`